UDISKIE-UMOUNT(1)

NAME
udiskie-umount - automounter for removable media for Python, umounting utility

DESCRIPTION
udiskie-umount: a user-level command line utility for unmounting.

  Usage:

    udiskie-umount [options] (-a | DEVICE...) udiskie-umount (--help | --version)

  General options:

-c FILE, --config=FILE
    Set config file

-C, --no-config
    Don't use config file

-v, --verbose
    Increase verbosity (DEBUG)

-q, --quiet
    Decrease verbosity

-0, --udisks-auto
    Auto discover UDisks version

-1, --use-udisks1
    Use UDisks1 as backend

-2, --use-udisks2
    Use UDisks2 as backend

-h, --help
    Show this help

-V, --version
    Show version information

  Unmount options:

-a, --all
    Unmount all handleable devices

-d, --detach
    Power off drive if possible

-D, --no-detach
    Don't power off drive

-e, --eject
    Eject media from device if possible

-E, --no-eject
    Don't eject media

-f, --force
    Force removal (recursive unmounting)

-F, --no-force
    Don't force removal

-l, --lock
    Lock device after unmounting

-L, --no-lock
    Don't lock device

Note, that the options in the individual groups are mutually exclusive.

The config file can be a JSON or preferrably a YAML file. For an example, see the MAN page (or doc/udiskie.8.txt in the repository).